QGIS Application - Bug report #7460
CMake detecting wrong path for GDAL library on 64-bit RHEL 6
2013-03-27 11:11 AM - Dave Johansen

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.0.1 Regression?: No

Operating System: RHEL Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 16415
Description

When running CMake on 64-bit RHEL 6.4, the process detects the GDAL library but sets GDAL_LIBRARY:STRING to /libgdal.so instead
of /usr/lib64/libgdal.so and the build process fails when trying to link against GDAL.

History

#1 - 2013-09-22 03:01 AM - Giovanni Manghi
- Category set to Build/Install
- Status changed from Open to Feedback

Still true with qgis 2.0.1 code?

#2 - 2013-09-27 02:30 PM - Dave Johansen

Giovanni Manghi wrote:

Still true with qgis 2.0.1 code?

No. | just tested qgis 2.0.1 on 32-bit and 64-bit RHEL 6.4 and it worked just fine.

#3 - 2013-09-27 03:49 PM - Dave Johansen

Dave Johansen wrote:

Giovanni Manghi wrote:

Still true with qgis 2.0.1 code?

No. | just tested qgis 2.0.1 on 32-bit and 64-bit RHEL 6.4 and it worked just fine.

| just realized that the error shows up during the build and not the configure, so it actually still is a problem with 2.0.1.

#4 - 2013-09-28 01:04 AM - Giovanni Manghi
- Target version set to Future Release - High Priority
- Affected QGIS version changed from 1.7.4 to 2.0.1
- Status changed from Feedback to Open

#5 - 2017-05-01 01:09 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#6 - 2018-03-01 12:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then
close the ticket. Thanks!

#7 - 2019-02-05 10:42 AM - Nyall Dawson
- Status changed from Feedback to Closed

- Resolution set to no timely feedback
